import dynamix_sdk.base as _base


class CloudapiDisksDeleteDisksResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiDisksDeleteDisksProtocol(_base.BasePostAPIFunctionProtocol):
    def delete_disks(
        self,
        *,
        disk_ids: list[int],
        permanently: bool = False,
    ) -> CloudapiDisksDeleteDisksResultBool:
        ...
